import { TokenResponse } from './types';
type Config = {
    baseUrl?: string;
    tenantId?: string;
    apiKey?: string;
    getToken?: () => Promise<TokenResponse>;
};
declare class ConfigService {
    private static instance;
    private config;
    private constructor();
    static getInstance(): ConfigService;
    initialize(config: Config): void;
    getConfig(): Config;
    getToken(): Promise<string>;
}
export declare const configService: ConfigService;
export {};
